-- ATTENTION
-- Ce script doit être exécuter sur 1 User qui a le rôle de DBA (ex.: User GRHUM)
-- USER SQL


--
-- Patch DBA de SCO_SCOLARITE du 02/10/2013 à exécuter depuis le user GRHUM
--
-- Rem : fichier encodé UTF-8

SET DEFINE OFF;
--
--
-- Fichier : 1/2
-- Type : DML
-- Schema : SCO_SCOLARITE
-- Numero de version : 1.0.0.6
-- Date de publication : 02/10/2013
-- Auteur(s) : Association Cocktail
--
--
WHENEVER SQLERROR EXIT SQL.SQLCODE;

------------------------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------ MISE A JOUR DES VALEURS DES CHAMPS  -----------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------------------------

-- TABLE CHAMP
declare
  is_fiedld_exists int;
begin
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.CHAMP where ID_CHAMP = '117';
  if (is_fiedld_exists = 0) then
   EXECUTE IMMEDIATE('
     INSERT INTO SCO_SCOLARITE.CHAMP (ID_CHAMP,ID_PERE,CODE,LIBELLE,ORDRE,APPLICATION,D_CREATION,D_MODIFICATION,PERS_ID_CREATION,PERS_ID_MODIFICATION) 
     VALUES (117,94,''CadreServiceNational'', ''Réformé du service national'', 106, ''CORIANDRE'', SYSDATE, SYSDATE,1,1)');
  end if;
  
   select count(*) into is_fiedld_exists from SCO_SCOLARITE.PARAMETRAGE_CHAMP where ID_CHAMP = '117';
   if (is_fiedld_exists = 0) then
  EXECUTE IMMEDIATE('
    INSERT INTO SCO_SCOLARITE.PARAMETRAGE_CHAMP (ID_CHAMP,ID_PARAMETRAGE_INSCRIPTION ,GESTIONNIAIRE,PREINSCRIPTION ,REINSCRIPTION,ADMISSION,D_CREATION,D_MODIFICATION,PERS_ID_CREATION,PERS_ID_MODIFICATION) 
    VALUES(117,1,3,3,3,3,SYSDATE, SYSDATE,1,1)');
  end if;
end;
/

UPDATE SCO_SCOLARITE.CHAMP SET  CODE='numeroAssurance', LIBELLE='N° Assurance' WHERE ID_CHAMP= 105;

UPDATE SCO_SCOLARITE.CHAMP SET  ID_PERE='117', ORDRE=107 WHERE ID_CHAMP= 106;
UPDATE SCO_SCOLARITE.CHAMP SET  ID_PERE='117', ORDRE=108 WHERE ID_CHAMP= 107;
UPDATE SCO_SCOLARITE.CHAMP SET ORDRE=109 WHERE ID_CHAMP= 108;
UPDATE SCO_SCOLARITE.CHAMP SET ORDRE=110 WHERE ID_CHAMP= 109;
UPDATE SCO_SCOLARITE.CHAMP SET ORDRE=111 WHERE ID_CHAMP= 110;
UPDATE SCO_SCOLARITE.CHAMP SET ORDRE=112 WHERE ID_CHAMP= 111;
UPDATE SCO_SCOLARITE.CHAMP SET ORDRE=113 WHERE ID_CHAMP= 112;
UPDATE SCO_SCOLARITE.CHAMP SET ORDRE=114 WHERE ID_CHAMP= 113;
UPDATE SCO_SCOLARITE.CHAMP SET ORDRE=115 WHERE ID_CHAMP= 114;
UPDATE SCO_SCOLARITE.CHAMP SET ORDRE=116 WHERE ID_CHAMP= 115;
UPDATE SCO_SCOLARITE.CHAMP SET ORDRE=117 WHERE ID_CHAMP= 116;

UPDATE SCO_SCOLARITE.CHAMP SET LIBELLE = 'Profession' WHERE ID_CHAMP= 80;
UPDATE SCO_SCOLARITE.CHAMP SET LIBELLE = 'Profession' WHERE ID_CHAMP= 81;

UPDATE SCO_SCOLARITE.CHAMP SET LIBELLE = 'Bourses de l''étudiant' WHERE ID_CHAMP= 68;
UPDATE SCO_SCOLARITE.CHAMP SET CODE='cadreExonerationRessource', LIBELLE ='Exonération et Ressources' WHERE ID_CHAMP=74;
UPDATE SCO_SCOLARITE.CHAMP SET ID_PERE=74 WHERE ID_CHAMP= 69;
UPDATE SCO_SCOLARITE.CHAMP SET ID_PERE=74 WHERE ID_CHAMP= 70;
UPDATE SCO_SCOLARITE.CHAMP SET CODE='cadreSitSociale', LIBELLE ='Situation sociale' WHERE ID_CHAMP=82;
UPDATE SCO_SCOLARITE.CHAMP SET ID_PERE=82 WHERE ID_CHAMP= 86;
UPDATE SCO_SCOLARITE.CHAMP SET ID_PERE=82 WHERE ID_CHAMP= 87;
UPDATE SCO_SCOLARITE.CHAMP SET ID_PERE=82 WHERE ID_CHAMP= 88;
UPDATE SCO_SCOLARITE.CHAMP SET ID_PERE=82 WHERE ID_CHAMP= 89;
UPDATE SCO_SCOLARITE.CHAMP SET ID_PERE=82 WHERE ID_CHAMP= 90;
UPDATE SCO_SCOLARITE.CHAMP SET ID_PERE=82 WHERE ID_CHAMP= 92;
UPDATE SCO_SCOLARITE.CHAMP SET ID_PERE=82 WHERE ID_CHAMP= 93;
UPDATE SCO_SCOLARITE.CHAMP SET LIBELLE='Mutuelle' WHERE ID_CHAMP= 88;

declare
  is_fiedld_exists int;
begin
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.PARAMETRAGE_CHAMP where ID_CHAMP=85;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.PARAMETRAGE_CHAMP WHERE ID_CHAMP=85');
  end if;    
  
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.PARAMETRAGE_CHAMP where ID_CHAMP=91;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.PARAMETRAGE_CHAMP WHERE ID_CHAMP=91');
  end if;
  
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.CHAMP where ID_CHAMP=85;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.CHAMP WHERE ID_CHAMP=85');
  end if;
  
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.CHAMP where ID_CHAMP=91;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.CHAMP WHERE ID_CHAMP=91');
  end if;
end;
/
--TABLE DB_VERSION
declare
  is_fiedld_exists int;
begin
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.DB_VERSION where DBV_LIBELLE  = '1.0.0.6';
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.DB_VERSION WHERE DBV_LIBELLE  = ''1.0.0.6''');
  end if;
end;
/
INSERT INTO SCO_SCOLARITE.DB_VERSION VALUES(SCO_SCOLARITE.DB_VERSION_SEQ.NEXTVAL, '1.0.0.6', '02/10/2013', SYSDATE,'Version alpha du user SCO_SCOLARITE');

COMMIT;

